tidyNode
tidyNode::hasChildren
tidyNode
PHP Manual

# tidyNode::getParent

Returns the parent node of the current node

### Description

tidyNode tidyNode::getParent ( void )

Returns the parent node of the current node.

### Examples

Example #1 tidyNode::hasChildren example

`<?php
$html = <<< HTML
<html><head>
<?php echo '<title>title</title>'; ?>
<#
/* JSTE code */
alert('Hello World');
#>
</head>
<body>
Hello World
</body>
</html>
HTML;
$tidy = tidy_parse_string($html);
$num = 0;
$node = $tidy->html()->child[0]->child[0];
var_dump($node->getparent()->name);
?>`

The above example will output:

    string(4) "head"

### Return Values

Returns a tidyNode if the node has a parent, or `NULL` otherwise.